Saturn(3)

NAME
Saturn -

  Functions
double LIBNOVA_EXPORT ln_get_saturn_equ_sdiam (double JD)
Calculate the equatorial semidiameter of Saturn in arc seconds.
double LIBNOVA_EXPORT ln_get_saturn_pol_sdiam (double JD)
Calculate the polar semidiameter of Saturn in arc seconds.
int LIBNOVA_EXPORT ln_get_saturn_rst (double JD, struct ln_lnlat_posn *observer, struct ln_rst_time *rst)
Calculate the time of rise, set and transit for Saturn.
void LIBNOVA_EXPORT ln_get_saturn_helio_coords (double JD, struct ln_helio_posn *position)
Calculate Saturn's heliocentric coordinates.
void LIBNOVA_EXPORT ln_get_saturn_equ_coords (double JD, struct ln_equ_posn *position)
Calculate Saturn's equatorial coordinates.
double LIBNOVA_EXPORT ln_get_saturn_earth_dist (double JD)
Calculate the distance between Saturn and the Earth.
double LIBNOVA_EXPORT ln_get_saturn_solar_dist (double JD)
Calculate the distance between Saturn and the Sun.
double LIBNOVA_EXPORT ln_get_saturn_magnitude (double JD)
Calculate the visible magnitude of Saturn.
double LIBNOVA_EXPORT ln_get_saturn_disk (double JD)
Calculate the illuminated fraction of Saturn's disk.
double LIBNOVA_EXPORT ln_get_saturn_phase (double JD)
Calculate the phase angle of Saturn.

Detailed Description

Functions relating to the planet Saturn.

All angles are expressed in degrees.

Function Documentation

  double ln_get_saturn_disk (doubleJD)

Calculate the illuminated fraction of Saturn's disk.

Returns:
    Illuminated fraction of Saturn's disk

Parameters:
    JD Julian day

Returns:
    Illuminated fraction of Saturns disk. (Value between 0..1)

Calculate the illuminated fraction of Saturn's disk for the given Julian day.

References ln_get_earth_solar_dist(), ln_get_saturn_earth_dist(), ln_get_saturn_solar_dist(), and ln_helio_posn::R.

  double ln_get_saturn_earth_dist (doubleJD)

Calculate the distance between Saturn and the Earth. Calculate the distance between Saturn and the Earth in AU.

Returns:
    Distance in AU

Parameters:
    JD Julian day

Returns:
    Distance in AU

Calculates the distance in AU between the Earth and Saturn for the given julian day.

References ln_get_earth_helio_coords(), ln_get_rect_from_helio(), ln_get_saturn_helio_coords(), ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_saturn_disk(), ln_get_saturn_equ_sdiam(), ln_get_saturn_magnitude(), ln_get_saturn_phase(), and ln_get_saturn_pol_sdiam().

  void ln_get_saturn_equ_coords (doubleJD, struct ln_equ_posn *position)

Calculate Saturn's equatorial coordinates.

Parameters:
    JD julian Day
    position Pointer to store position

Calculates Saturn's equatorial position for given julian day. This function includes calculations for planetary aberration and refers to the FK5 reference frame.

To get the complete equatorial coordinates, corrections for nutation have to be applied.

The position returned is accurate to within 0.1 arcsecs..

References ln_equ_posn::dec, ln_get_rect_from_helio(), ln_get_saturn_helio_coords(), ln_get_solar_geom_coords(), ln_rad_to_deg(), ln_range_degrees(), ln_equ_posn::ra, ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_saturn_rst().

  double ln_get_saturn_equ_sdiam (doubleJD)

Calculate the equatorial semidiameter of Saturn in arc seconds.

Parameters:
    JD Julian day

Returns:
    Semidiameter in arc seconds

Calculate the equatorial semidiameter of Saturn in arc seconds for the given julian day.

References ln_get_saturn_earth_dist().

  void ln_get_saturn_helio_coords (doubleJD, struct ln_helio_posn *position)

Calculate Saturn's heliocentric coordinates.

Parameters:
    JD Julian Day
    position Pointer to store heliocentric position

Calculate Saturns heliocentric (refered to the centre of the Sun) coordinates in the FK5 reference frame for the given julian day. Longitude and Latitude are in degrees, whilst radius vector is in AU.

References ln_helio_posn::B, ln_helio_posn::L, ln_rad_to_deg(), ln_range_degrees(), ln_vsop87_to_fk5(), and ln_helio_posn::R.

Referenced by ln_get_saturn_earth_dist(), ln_get_saturn_equ_coords(), and ln_get_saturn_solar_dist().

  double ln_get_saturn_magnitude (doubleJD)

Calculate the visible magnitude of Saturn.

Returns:
    Visible magnitude of Saturn

Parameters:
    JD Julian day

Returns:
    Visisble magnitude of saturn

Todo
    Calculate rings brightness

Calculate the visible magnitude of Saturn for the given julian day.

References ln_get_saturn_earth_dist(), and ln_get_saturn_solar_dist().

  double ln_get_saturn_phase (doubleJD)

Calculate the phase angle of Saturn. Calculate the phase angle of Saturn (Sun - Saturn - Earth)

Returns:
    Phase angle of Saturn (degrees)

    Phase angle of Saturn (degrees)

Calculates the phase angle of Saturn, that is, the angle Sun - Saturn - Earth for the given Julian day.

References ln_get_earth_solar_dist(), ln_get_saturn_earth_dist(), ln_get_saturn_solar_dist(), ln_rad_to_deg(), and ln_helio_posn::R.

  double ln_get_saturn_pol_sdiam (doubleJD)

Calculate the polar semidiameter of Saturn in arc seconds.

Parameters:
    JD Julian day

Returns:
    Semidiameter in arc seconds

Todo
    Use Saturnicentric lat of Earth

Calculate the polar semidiameter of Saturn in arc seconds for the given julian day.

References ln_get_saturn_earth_dist().

  double ln_get_saturn_rst (doubleJD, struct ln_lnlat_posn *observer, struct ln_rst_time *rst)

Calculate the time of rise, set and transit for Saturn.

Parameters:
    JD Julian day
    observer Observers position
    rst Pointer to store Rise, Set and Transit time in JD

Returns:
    0 for success, else 1 for circumpolar.

Calculate the time the rise, set and transit (crosses the local meridian at upper culmination) time of Saturn for the given Julian day.

Note: this functions returns 1 if Saturn is circumpolar, that is it remains the whole day either above or below the horizon.

References ln_get_body_rst_horizon(), and ln_get_saturn_equ_coords().

  double ln_get_saturn_solar_dist (doubleJD)

Calculate the distance between Saturn and the Sun. Calculate the distance between Saturn and the Sun in AU.

Returns:
    Distance in AU

Parameters:
    JD Julian day

Returns:
    Distance in AU

Calculates the distance in AU between the Sun and Saturn for the given julian day.

References ln_get_saturn_helio_coords(), and ln_helio_posn::R.

Referenced by ln_get_saturn_disk(), ln_get_saturn_magnitude(), and ln_get_saturn_phase().

Author

Generated automatically by Doxygen for libnova from the source code.